/* Generated by re2c 0.16 on Thu Jul 27 12:41:40 2017 */
#line 1 "src/parser.re"
/*******************************************************************************
 Copyright (c) 2016, Michael Wallner <mike@php.net>.
 All rights reserved.

 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions are met:

     * Redistributions of source code must retain the above copyright notice,
       this list of conditions and the following disclaimer.
     * Redistributions in binary form must reproduce the above copyright
       notice, this list of conditions and the following disclaimer in the
       documentation and/or other materials provided with the distribution.

 THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE
 FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*******************************************************************************/

#include "php_psi_stdinc.h"
#include <sys/mman.h>
#include <assert.h>
#include <stdarg.h>

#include "parser.h"

#define YYMAXFILL 15
#ifndef YYMAXFILL
# define YYMAXFILL 256
#endif

struct psi_parser *psi_parser_init(struct psi_parser *P, psi_error_cb error, unsigned flags)
{
	if (!P) {
		P = malloc(sizeof(*P));
	}
	memset(P, 0, sizeof(*P));

	psi_data_ctor_with_dtors(PSI_DATA(P), error, flags);

	P->preproc = psi_cpp_init(P);

	psi_cpp_load_defaults(P->preproc);

	return P;
}

struct psi_parser_input *psi_parser_open_file(struct psi_parser *P, const char *filename, bool report_errors)
{
	struct stat sb;
	FILE *fp;
	struct psi_parser_input *fb;

	if (stat(filename, &sb)) {
		if (report_errors) {
			P->error(PSI_DATA(P), NULL, PSI_WARNING,
					"Could not stat '%s': %s",
					filename, strerror(errno));
		}
		return NULL;
	}

	if (!(fb = malloc(sizeof(*fb) + strlen(filename) + 1 + sb.st_size + YYMAXFILL))) {
		if (report_errors) {
			P->error(PSI_DATA(P), NULL, PSI_WARNING,
					"Could not allocate %zu bytes for reading '%s': %s",
					sb.st_size + YYMAXFILL, filename, strerror(errno));
		}
		return NULL;
	}

	if (!(fp = fopen(filename, "r"))) {
		free(fb);
		if (report_errors) {
			P->error(PSI_DATA(P), NULL, PSI_WARNING,
					"Could not open '%s' for reading: %s",
					filename, strerror(errno));
		}
		return NULL;
	}

	if (sb.st_size != fread(fb->buffer, 1, sb.st_size, fp)) {
		free(fb);
		fclose(fp);
		if (report_errors) {
			P->error(PSI_DATA(P), NULL, PSI_WARNING,
					"Could not read %zu bytes from '%s': %s",
					sb.st_size + YYMAXFILL, filename, strerror(errno));
		}
		return NULL;
	}

	memset(fb->buffer + sb.st_size, 0, YYMAXFILL);
	fb->length = sb.st_size;
	fb->file = &fb->buffer[sb.st_size + YYMAXFILL];
	memcpy(fb->file, filename, strlen(filename) + 1);

	return fb;
}

struct psi_parser_input *psi_parser_open_string(struct psi_parser *P, const char *string, size_t length)
{
	struct psi_parser_input *sb;

	if (!(sb = malloc(sizeof(*sb) + sizeof("<stdin>") + length + YYMAXFILL))) {
		P->error(PSI_DATA(P), NULL, PSI_WARNING,
				"Could not allocate %zu bytes: %s",
				length + YYMAXFILL, strerror(errno));
		return NULL;
	}

	memcpy(sb->buffer, string, length);
	memset(sb->buffer + length, 0, YYMAXFILL);

	sb->length = length;
	sb->file = &sb->buffer[length + YYMAXFILL];
	memcpy(sb->file, "<stdin>", sizeof("<stdin>"));

	return sb;
}

#if 0
static void psi_parser_register_constants(struct psi_parser *P)
{
	zend_string *key;
	zval *val;

	ZEND_HASH_FOREACH_STR_KEY_VAL(&P->cpp.defs, key, val)
	{
		struct psi_impl_def_val *iv;
		struct psi_const_type *ct;
		struct psi_const *c;
		const char *ctn;
		token_t ctt;
		impl_val tmp;
		zend_string *str;

		ZVAL_DEREF(val);
		switch (Z_TYPE_P(val)) {
		case IS_TRUE:
		case IS_FALSE:
			ctt = PSI_T_BOOL;
			ctn = "bool";
			tmp.zend.bval = Z_TYPE_P(val) == IS_TRUE;
			break;
		case IS_LONG:
			ctt = PSI_T_INT;
			ctn = "int";
			tmp.zend.lval = Z_LVAL_P(val);
			break;
		case IS_DOUBLE:
			ctt = PSI_T_FLOAT;
			ctn = "float";
			tmp.dval = Z_DVAL_P(val);
			break;
		default:
			ctt = PSI_T_STRING;
			ctn = "string";
			str = zval_get_string(val);
			tmp.zend.str = zend_string_dup(str, 1);
			zend_string_release(str);
			break;
		}

		iv = psi_impl_def_val_init(ctt, NULL);
		iv->ival = tmp;
		ct = psi_const_type_init(ctt, ctn);
		c = psi_const_init(ct, key->val, iv);
		if (!P->consts) {
			P->consts = psi_plist_init((psi_plist_dtor) psi_const_free);
		}
		P->consts = psi_plist_add(P->consts, &c);
	}
	ZEND_HASH_FOREACH_END();
}
#endif

struct psi_plist *psi_parser_preprocess(struct psi_parser *P, struct psi_plist **tokens)
{
	if (psi_cpp_process(P->preproc, tokens)) {
		return *tokens;
	}
	return NULL;
}

bool psi_parser_process(struct psi_parser *P, struct psi_plist *tokens, size_t *processed)
{
	if (psi_plist_count(tokens)) {
		return 0 == psi_parser_proc_parse(P, tokens, processed);
	}
	return true;
}

bool psi_parser_parse(struct psi_parser *P, struct psi_parser_input *I)
{
	struct psi_plist *scanned, *preproc;
	size_t processed = 0;

	if (!(scanned = psi_parser_scan(P, I))) {
		return false;
	}

	if (!(preproc = psi_parser_preprocess(P, &scanned))) {
		psi_plist_free(scanned);
		return false;
	}

	if (!psi_parser_process(P, preproc, &processed)) {
		psi_plist_free(preproc);
		return false;
	}

	psi_plist_free(preproc);
	return true;
}

void psi_parser_dtor(struct psi_parser *P)
{
	psi_cpp_free(&P->preproc);
	psi_data_dtor(PSI_DATA(P));

	memset(P, 0, sizeof(*P));
}

void psi_parser_free(struct psi_parser **P)
{
	if (*P) {
		psi_parser_dtor(*P);
		free(*P);
		*P = NULL;
	}
}

#define NEWLINE() \
	eol = cur; \
	++I->lines

#define NEWTOKEN(t) \
	token = psi_token_init(t, tok, cur - tok, tok - eol + 1, I->lines, I->file); \
	tokens = psi_plist_add(tokens, &token); \
	if (P->flags & PSI_DEBUG) { \
		fprintf(stderr, "PSI< "); \
		psi_token_dump(2, token); \
	}

union int_suffix {
	char s[SIZEOF_UINT32_T];
	uint32_t i;
};

struct psi_plist *psi_parser_scan(struct psi_parser *P, struct psi_parser_input *I)
{
	struct psi_plist *tokens;
	struct psi_token *token;
	const char *tok, *cur, *lim, *mrk, *eol, *ctxmrk;
	unsigned parens;
	bool escaped;
	token_t char_width;

	PSI_DEBUG_PRINT(P, "PSI: scanning %s\n", I->file);

	tok = mrk = eol = cur = I->buffer;
	lim = I->buffer + I->length;
	I->lines = 1;
	tokens = psi_plist_init((psi_plist_dtor) psi_token_free);

	start: ;
		char_width = 1;
		ctxmrk = NULL;
		tok = cur;

		
#line 282 "src/parser.c"
		{
			unsigned char yych;
			unsigned int yyaccept = 0;
			if ((lim - cur) < 15) if (cur >= lim) goto done;;
			yych = *cur;
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\v':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case '@':
			case '`':
			case 0x7F:	goto yy2;
			case '\t':
			case '\f':
			case ' ':	goto yy4;
			case '\n':
			case '\r':	goto yy7;
			case '!':	goto yy9;
			case '"':	goto yy11;
			case '#':	goto yy13;
			case '$':	goto yy15;
			case '%':	goto yy16;
			case '&':	goto yy18;
			case '\'':	goto yy20;
			case '(':	goto yy22;
			case ')':	goto yy24;
			case '*':	goto yy26;
			case '+':	goto yy28;
			case ',':	goto yy30;
			case '-':	goto yy32;
			case '.':	goto yy34;
			case '/':	goto yy36;
			case '0':	goto yy38;
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':	goto yy40;
			case ':':	goto yy42;
			case ';':	goto yy44;
			case '<':	goto yy46;
			case '=':	goto yy48;
			case '>':	goto yy50;
			case '?':	goto yy52;
			case 'A':
			case 'a':	goto yy54;
			case 'B':	goto yy56;
			case 'C':	goto yy57;
			case 'D':	goto yy58;
			case 'E':	goto yy59;
			case 'F':	goto yy60;
			case 'I':	goto yy63;
			case 'L':	goto yy64;
			case 'M':
			case 'm':	goto yy65;
			case 'N':
			case 'n':	goto yy66;
			case 'O':
			case 'o':	goto yy67;
			case 'P':	goto yy68;
			case 'R':
			case 'r':	goto yy69;
			case 'S':	goto yy70;
			case 'T':	goto yy71;
			case 'U':	goto yy72;
			case 'W':
			case 'w':	goto yy73;
			case 'Z':
			case 'z':	goto yy74;
			case '[':	goto yy75;
			case '\\':	goto yy77;
			case ']':	goto yy79;
			case '^':	goto yy81;
			case '_':	goto yy83;
			case 'b':	goto yy84;
			case 'c':	goto yy85;
			case 'd':	goto yy86;
			case 'e':	goto yy87;
			case 'f':	goto yy88;
			case 'i':	goto yy89;
			case 'l':	goto yy90;
			case 'p':	goto yy91;
			case 's':	goto yy92;
			case 't':	goto yy93;
			case 'u':	goto yy94;
			case 'v':	goto yy95;
			case '{':	goto yy96;
			case '|':	goto yy98;
			case '}':	goto yy100;
			case '~':	goto yy102;
			default:	goto yy61;
			}
yy2:
			++cur;
yy3:
#line 452 "src/parser.re"
			{ NEWTOKEN(-2); goto error; }
#line 409 "src/parser.c"
yy4:
			++cur;
			if (lim <= cur) if (cur >= lim) goto done;;
			yych = *cur;
			switch (yych) {
			case '\t':
			case '\f':
			case ' ':	goto yy4;
			default:	goto yy6;
			}
yy6:
#line 451 "src/parser.re"
			{ NEWTOKEN(PSI_T_WHITESPACE); goto start; }
#line 423 "src/parser.c"
yy7:
			++cur;
#line 450 "src/parser.re"
			{ NEWTOKEN(PSI_T_EOL); NEWLINE(); goto start; }
#line 428 "src/parser.c"
yy9:
			++cur;
			switch ((yych = *cur)) {
			case '=':	goto yy104;
			default:	goto yy10;
			}
yy10:
#line 349 "src/parser.re"
			{ NEWTOKEN(PSI_T_NOT); goto start; }
#line 438 "src/parser.c"
yy11:
			++cur;
#line 322 "src/parser.re"
			{ escaped = false; tok += 1; goto string; }
#line 443 "src/parser.c"
yy13:
			++cur;
			switch ((yych = *cur)) {
			case '#':	goto yy106;
			default:	goto yy14;
			}
yy14:
#line 332 "src/parser.re"
			{ NEWTOKEN(PSI_T_HASH); goto start; }
#line 453 "src/parser.c"
yy15:
			yych = *++cur;
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case '\\':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy3;
			default:	goto yy108;
			}
yy16:
			++cur;
#line 350 "src/parser.re"
			{ NEWTOKEN(PSI_T_MODULO); goto start; }
#line 528 "src/parser.c"
yy18:
			++cur;
			switch ((yych = *cur)) {
			case '&':	goto yy111;
			default:	goto yy19;
			}
yy19:
#line 351 "src/parser.re"
			{ NEWTOKEN(PSI_T_AMPERSAND); goto start; }
#line 538 "src/parser.c"
yy20:
			++cur;
#line 321 "src/parser.re"
			{ escaped = false; tok += 1; goto character; }
#line 543 "src/parser.c"
yy22:
			++cur;
#line 333 "src/parser.re"
			{ NEWTOKEN(PSI_T_LPAREN); goto start; }
#line 548 "src/parser.c"
yy24:
			++cur;
#line 334 "src/parser.re"
			{ NEWTOKEN(PSI_T_RPAREN); goto start; }
#line 553 "src/parser.c"
yy26:
			++cur;
#line 347 "src/parser.re"
			{ NEWTOKEN(PSI_T_ASTERISK); goto start; }
#line 558 "src/parser.c"
yy28:
			yyaccept = 0;
			yych = *(mrk = ++cur);
			switch (yych) {
			case '.':	goto yy113;
			case '0':	goto yy38;
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':	goto yy40;
			default:	goto yy29;
			}
yy29:
#line 352 "src/parser.re"
			{ NEWTOKEN(PSI_T_PLUS); goto start; }
#line 579 "src/parser.c"
yy30:
			++cur;
#line 336 "src/parser.re"
			{ NEWTOKEN(PSI_T_COMMA); goto start; }
#line 584 "src/parser.c"
yy32:
			yyaccept = 1;
			yych = *(mrk = ++cur);
			switch (yych) {
			case '.':	goto yy113;
			case '0':	goto yy38;
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':	goto yy40;
			default:	goto yy33;
			}
yy33:
#line 353 "src/parser.re"
			{ NEWTOKEN(PSI_T_MINUS); goto start; }
#line 605 "src/parser.c"
yy34:
			yyaccept = 2;
			yych = *(mrk = ++cur);
			switch (yych) {
			case '.':	goto yy115;
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':	goto yy116;
			default:	goto yy35;
			}
yy35:
#line 364 "src/parser.re"
			{ NEWTOKEN(PSI_T_PERIOD); goto start; }
#line 626 "src/parser.c"
yy36:
			++cur;
			switch ((yych = *cur)) {
			case '*':	goto yy119;
			case '/':	goto yy121;
			default:	goto yy37;
			}
yy37:
#line 354 "src/parser.re"
			{ NEWTOKEN(PSI_T_SLASH); goto start; }
#line 637 "src/parser.c"
yy38:
			yyaccept = 3;
			yych = *(mrk = ++cur);
			ctxmrk = cur;
			switch (yych) {
			case '.':	goto yy123;
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':	goto yy125;
			case 'E':
			case 'e':	goto yy127;
			case 'L':
			case 'l':	goto yy128;
			case 'U':
			case 'u':	goto yy130;
			case 'X':
			case 'x':	goto yy132;
			default:	goto yy39;
			}
yy39:
#line 308 "src/parser.re"
			{ NEWTOKEN(PSI_T_NUMBER); token->flags = PSI_NUMBER_INT; goto start; }
#line 665 "src/parser.c"
yy40:
			yyaccept = 3;
			mrk = ++cur;
			if ((lim - cur) < 3) if (cur >= lim) goto done;;
			yych = *cur;
			ctxmrk = cur;
			switch (yych) {
			case '.':	goto yy123;
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':	goto yy40;
			case 'E':
			case 'e':	goto yy127;
			case 'L':
			case 'l':	goto yy128;
			case 'U':
			case 'u':	goto yy130;
			default:	goto yy39;
			}
yy42:
			++cur;
#line 337 "src/parser.re"
			{ NEWTOKEN(PSI_T_COLON); goto start; }
#line 696 "src/parser.c"
yy44:
			++cur;
#line 335 "src/parser.re"
			{ NEWTOKEN(PSI_T_EOS); goto start; }
#line 701 "src/parser.c"
yy46:
			yyaccept = 4;
			yych = *(mrk = ++cur);
			switch (yych) {
			case '-':
			case '.':
			case '/':
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy133;
			case '<':	goto yy135;
			case '=':	goto yy137;
			default:	goto yy47;
			}
yy47:
#line 362 "src/parser.re"
			{ NEWTOKEN(PSI_T_LCHEVR); goto start; }
#line 779 "src/parser.c"
yy48:
			++cur;
			switch ((yych = *cur)) {
			case '=':	goto yy139;
			default:	goto yy49;
			}
yy49:
#line 346 "src/parser.re"
			{ NEWTOKEN(PSI_T_EQUALS); goto start; }
#line 789 "src/parser.c"
yy50:
			++cur;
			switch ((yych = *cur)) {
			case '=':	goto yy141;
			case '>':	goto yy143;
			default:	goto yy51;
			}
yy51:
#line 363 "src/parser.re"
			{ NEWTOKEN(PSI_T_RCHEVR); goto start; }
#line 800 "src/parser.c"
yy52:
			++cur;
#line 366 "src/parser.re"
			{ NEWTOKEN(PSI_T_IIF); goto start; }
#line 805 "src/parser.c"
yy54:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'R':
			case 'r':	goto yy145;
			default:	goto yy62;
			}
yy55:
#line 445 "src/parser.re"
			{ NEWTOKEN(PSI_T_NAME); goto start; }
#line 817 "src/parser.c"
yy56:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'O':
			case 'o':	goto yy147;
			default:	goto yy62;
			}
yy57:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy148;
			case 'O':
			case 'o':	goto yy149;
			default:	goto yy62;
			}
yy58:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy150;
			default:	goto yy62;
			}
yy59:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy151;
			case 'N':
			case 'n':	goto yy152;
			case 'R':
			case 'r':	goto yy153;
			default:	goto yy62;
			}
yy60:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy154;
			case 'L':
			case 'l':	goto yy155;
			case 'R':
			case 'r':	goto yy156;
			case 'U':
			case 'u':	goto yy157;
			default:	goto yy62;
			}
yy61:
			yyaccept = 5;
			mrk = ++cur;
			if (lim <= cur) if (cur >= lim) goto done;;
			yych = *cur;
yy62:
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy55;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy63:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'F':
			case 'f':	goto yy158;
			case 'N':
			case 'n':	goto yy160;
			default:	goto yy62;
			}
yy64:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			ctxmrk = cur;
			switch (yych) {
			case '"':
			case '\'':	goto yy161;
			case 'E':
			case 'e':	goto yy163;
			case 'I':
			case 'i':	goto yy164;
			default:	goto yy62;
			}
yy65:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'I':
			case 'i':	goto yy165;
			default:	goto yy62;
			}
yy66:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'U':
			case 'u':	goto yy166;
			default:	goto yy62;
			}
yy67:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'B':
			case 'b':	goto yy167;
			default:	goto yy62;
			}
yy68:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy168;
			case 'O':
			case 'o':	goto yy169;
			case 'R':
			case 'r':	goto yy170;
			default:	goto yy62;
			}
yy69:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy171;
			default:	goto yy62;
			}
yy70:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy172;
			case 'T':
			case 't':	goto yy173;
			default:	goto yy62;
			}
yy71:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy174;
			case 'O':
			case 'o':	goto yy175;
			case 'R':
			case 'r':	goto yy176;
			default:	goto yy62;
			}
yy72:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			ctxmrk = cur;
			switch (yych) {
			case '"':
			case '\'':	goto yy177;
			case 'N':
			case 'n':	goto yy179;
			default:	goto yy62;
			}
yy73:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy180;
			default:	goto yy62;
			}
yy74:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'V':
			case 'v':	goto yy181;
			default:	goto yy62;
			}
yy75:
			++cur;
#line 340 "src/parser.re"
			{ NEWTOKEN(PSI_T_LBRACKET); goto start; }
#line 1064 "src/parser.c"
yy77:
			++cur;
			switch ((yych = *cur)) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case '\\':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy78;
			default:	goto yy182;
			}
yy78:
#line 355 "src/parser.re"
			{ NEWTOKEN(PSI_T_BSLASH); goto start; }
#line 1148 "src/parser.c"
yy79:
			++cur;
#line 341 "src/parser.re"
			{ NEWTOKEN(PSI_T_RBRACKET); goto start; }
#line 1153 "src/parser.c"
yy81:
			++cur;
#line 357 "src/parser.re"
			{ NEWTOKEN(PSI_T_CARET); goto start; }
#line 1158 "src/parser.c"
yy83:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case '_':	goto yy185;
			default:	goto yy62;
			}
yy84:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'O':	goto yy147;
			case 'o':	goto yy186;
			default:	goto yy62;
			}
yy85:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy148;
			case 'O':	goto yy149;
			case 'h':	goto yy187;
			case 'o':	goto yy188;
			default:	goto yy62;
			}
yy86:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy150;
			case 'o':	goto yy189;
			default:	goto yy62;
			}
yy87:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy151;
			case 'N':	goto yy152;
			case 'R':
			case 'r':	goto yy153;
			case 'n':	goto yy190;
			default:	goto yy62;
			}
yy88:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy154;
			case 'L':	goto yy155;
			case 'R':
			case 'r':	goto yy156;
			case 'U':
			case 'u':	goto yy157;
			case 'l':	goto yy191;
			default:	goto yy62;
			}
yy89:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'F':
			case 'f':	goto yy158;
			case 'N':	goto yy160;
			case 'n':	goto yy192;
			default:	goto yy62;
			}
yy90:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy163;
			case 'I':	goto yy164;
			case 'i':	goto yy193;
			case 'o':	goto yy194;
			default:	goto yy62;
			}
yy91:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy168;
			case 'O':
			case 'o':	goto yy169;
			case 'R':	goto yy170;
			case 'r':	goto yy195;
			default:	goto yy62;
			}
yy92:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy172;
			case 'T':	goto yy173;
			case 'h':	goto yy196;
			case 'i':	goto yy197;
			case 't':	goto yy198;
			default:	goto yy62;
			}
yy93:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy174;
			case 'O':
			case 'o':	goto yy175;
			case 'R':
			case 'r':	goto yy176;
			case 'y':	goto yy199;
			default:	goto yy62;
			}
yy94:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			ctxmrk = cur;
			switch (yych) {
			case '"':
			case '\'':	goto yy200;
			case '8':	goto yy202;
			case 'N':	goto yy179;
			case 'i':	goto yy203;
			case 'n':	goto yy204;
			default:	goto yy62;
			}
yy95:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'o':	goto yy205;
			default:	goto yy62;
			}
yy96:
			++cur;
#line 338 "src/parser.re"
			{ NEWTOKEN(PSI_T_LBRACE); goto start; }
#line 1302 "src/parser.c"
yy98:
			++cur;
			switch ((yych = *cur)) {
			case '|':	goto yy206;
			default:	goto yy99;
			}
yy99:
#line 356 "src/parser.re"
			{ NEWTOKEN(PSI_T_PIPE); goto start; }
#line 1312 "src/parser.c"
yy100:
			++cur;
#line 339 "src/parser.re"
			{ NEWTOKEN(PSI_T_RBRACE); goto start; }
#line 1317 "src/parser.c"
yy102:
			++cur;
#line 348 "src/parser.re"
			{ NEWTOKEN(PSI_T_TILDE); goto start; }
#line 1322 "src/parser.c"
yy104:
			++cur;
#line 342 "src/parser.re"
			{ NEWTOKEN(PSI_T_CMP_NE); goto start; }
#line 1327 "src/parser.c"
yy106:
			++cur;
#line 331 "src/parser.re"
			{ NEWTOKEN(PSI_T_CPP_PASTE); goto start; }
#line 1332 "src/parser.c"
yy108:
			++cur;
			if (lim <= cur) if (cur >= lim) goto done;;
			yych = *cur;
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case '\\':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy110;
			default:	goto yy108;
			}
yy110:
#line 447 "src/parser.re"
			{ NEWTOKEN(PSI_T_DOLLAR_NAME); goto start; }
#line 1408 "src/parser.c"
yy111:
			++cur;
#line 344 "src/parser.re"
			{ NEWTOKEN(PSI_T_AND); goto start; }
#line 1413 "src/parser.c"
yy113:
			yych = *++cur;
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':	goto yy116;
			default:	goto yy114;
			}
yy114:
			cur = mrk;
			switch (yyaccept) {
			case 0: 	goto yy29;
			case 1: 	goto yy33;
			case 2: 	goto yy35;
			case 3: 	goto yy39;
			case 4: 	goto yy47;
			case 5: 	goto yy55;
			case 6: 	goto yy118;
			case 7: 	goto yy129;
			case 8: 	goto yy159;
			case 9: 	goto yy184;
			case 10: 	goto yy241;
			case 11: 	goto yy243;
			case 12: 	goto yy252;
			case 13: 	goto yy271;
			case 14: 	goto yy302;
			case 15: 	goto yy304;
			case 16: 	goto yy310;
			case 17: 	goto yy318;
			case 18: 	goto yy330;
			case 19: 	goto yy338;
			case 20: 	goto yy342;
			case 21: 	goto yy348;
			case 22: 	goto yy350;
			case 23: 	goto yy354;
			case 24: 	goto yy361;
			case 25: 	goto yy363;
			case 26: 	goto yy373;
			case 27: 	goto yy375;
			case 28: 	goto yy382;
			case 29: 	goto yy385;
			case 30: 	goto yy387;
			case 31: 	goto yy389;
			case 32: 	goto yy393;
			case 33: 	goto yy398;
			case 34: 	goto yy416;
			case 35: 	goto yy423;
			case 36: 	goto yy426;
			case 37: 	goto yy433;
			case 38: 	goto yy442;
			case 39: 	goto yy445;
			case 40: 	goto yy450;
			case 41: 	goto yy452;
			case 42: 	goto yy456;
			case 43: 	goto yy459;
			case 44: 	goto yy461;
			case 45: 	goto yy463;
			case 46: 	goto yy468;
			case 47: 	goto yy470;
			case 48: 	goto yy472;
			case 49: 	goto yy474;
			case 50: 	goto yy476;
			case 51: 	goto yy481;
			case 52: 	goto yy490;
			case 53: 	goto yy495;
			case 54: 	goto yy497;
			case 55: 	goto yy499;
			case 56: 	goto yy501;
			case 57: 	goto yy509;
			case 58: 	goto yy513;
			case 59: 	goto yy517;
			case 60: 	goto yy519;
			case 61: 	goto yy524;
			case 62: 	goto yy529;
			case 63: 	goto yy531;
			case 64: 	goto yy536;
			case 65: 	goto yy538;
			case 66: 	goto yy540;
			case 67: 	goto yy544;
			case 68: 	goto yy549;
			case 69: 	goto yy552;
			case 70: 	goto yy554;
			case 71: 	goto yy556;
			case 72: 	goto yy558;
			case 73: 	goto yy563;
			case 74: 	goto yy565;
			case 75: 	goto yy574;
			case 76: 	goto yy576;
			case 77: 	goto yy578;
			case 78: 	goto yy580;
			case 79: 	goto yy585;
			case 80: 	goto yy587;
			case 81: 	goto yy595;
			case 82: 	goto yy599;
			case 83: 	goto yy603;
			case 84: 	goto yy607;
			case 85: 	goto yy609;
			default:	goto yy614;
			}
yy115:
			yych = *++cur;
			switch (yych) {
			case '.':	goto yy208;
			default:	goto yy114;
			}
yy116:
			yyaccept = 6;
			mrk = ++cur;
			if ((lim - cur) < 2) if (cur >= lim) goto done;;
			yych = *cur;
			ctxmrk = cur;
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':	goto yy116;
			case 'D':
			case 'd':	goto yy210;
			case 'F':
			case 'f':	goto yy211;
			case 'L':
			case 'l':	goto yy213;
			default:	goto yy118;
			}
yy118:
#line 314 "src/parser.re"
			{ NEWTOKEN(PSI_T_NUMBER); token->flags = PSI_NUMBER_FLT; goto start; }
#line 1554 "src/parser.c"
yy119:
			++cur;
#line 328 "src/parser.re"
			{ goto comment; }
#line 1559 "src/parser.c"
yy121:
			++cur;
#line 329 "src/parser.re"
			{ goto comment_sl; }
#line 1564 "src/parser.c"
yy123:
			yyaccept = 6;
			mrk = ++cur;
			if ((lim - cur) < 3) if (cur >= lim) goto done;;
			yych = *cur;
			ctxmrk = cur;
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':	goto yy123;
			case 'D':
			case 'd':	goto yy210;
			case 'E':
			case 'e':	goto yy127;
			case 'F':
			case 'f':	goto yy211;
			case 'L':
			case 'l':	goto yy213;
			default:	goto yy118;
			}
yy125:
			++cur;
			if ((lim - cur) < 3) if (cur >= lim) goto done;;
			yych = *cur;
			ctxmrk = cur;
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':	goto yy125;
			case 'L':
			case 'l':	goto yy128;
			case 'U':
			case 'u':	goto yy130;
			default:	goto yy39;
			}
yy127:
			yych = *++cur;
			switch (yych) {
			case '+':
			case '-':	goto yy113;
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':	goto yy116;
			default:	goto yy114;
			}
yy128:
			yyaccept = 7;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy215;
			case 'U':
			case 'u':	goto yy216;
			default:	goto yy129;
			}
yy129:
			cur = ctxmrk;
#line 310 "src/parser.re"
			{ NEWTOKEN(PSI_T_NUMBER); token->flags = PSI_NUMBER_INT | PSI_NUMBER_L; cur += 1; goto start; }
#line 1643 "src/parser.c"
yy130:
			++cur;
			switch ((yych = *cur)) {
			case 'L':
			case 'l':	goto yy218;
			default:	goto yy131;
			}
yy131:
			cur = ctxmrk;
#line 309 "src/parser.re"
			{ NEWTOKEN(PSI_T_NUMBER); token->flags = PSI_NUMBER_INT | PSI_NUMBER_U; cur += 1; goto start; }
#line 1655 "src/parser.c"
yy132:
			yych = *++cur;
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':	goto yy219;
			default:	goto yy114;
			}
yy133:
			++cur;
			if (lim <= cur) if (cur >= lim) goto done;;
			yych = *cur;
			switch (yych) {
			case '-':
			case '.':
			case '/':
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy133;
			case '>':	goto yy221;
			default:	goto yy114;
			}
yy135:
			++cur;
#line 358 "src/parser.re"
			{ NEWTOKEN(PSI_T_LSHIFT); goto start; }
#line 1761 "src/parser.c"
yy137:
			++cur;
#line 360 "src/parser.re"
			{ NEWTOKEN(PSI_T_CMP_LE); goto start; }
#line 1766 "src/parser.c"
yy139:
			++cur;
#line 343 "src/parser.re"
			{ NEWTOKEN(PSI_T_CMP_EQ); goto start; }
#line 1771 "src/parser.c"
yy141:
			++cur;
#line 361 "src/parser.re"
			{ NEWTOKEN(PSI_T_CMP_GE); goto start; }
#line 1776 "src/parser.c"
yy143:
			++cur;
#line 359 "src/parser.re"
			{ NEWTOKEN(PSI_T_RSHIFT); goto start; }
#line 1781 "src/parser.c"
yy145:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'R':
			case 'r':	goto yy223;
			default:	goto yy62;
			}
yy146:
			++cur;
			if (lim <= cur) if (cur >= lim) goto done;;
			yych = *cur;
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case '\\':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy114;
			default:	goto yy182;
			}
yy147:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'O':
			case 'o':	goto yy224;
			default:	goto yy62;
			}
yy148:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy225;
			default:	goto yy62;
			}
yy149:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'U':
			case 'u':	goto yy226;
			default:	goto yy62;
			}
yy150:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'F':
			case 'f':	goto yy227;
			default:	goto yy62;
			}
yy151:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'I':
			case 'i':	goto yy228;
			case 'S':
			case 's':	goto yy229;
			default:	goto yy62;
			}
yy152:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'D':
			case 'd':	goto yy230;
			default:	goto yy62;
			}
yy153:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'R':
			case 'r':	goto yy231;
			default:	goto yy62;
			}
yy154:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy232;
			default:	goto yy62;
			}
yy155:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'O':
			case 'o':	goto yy233;
			default:	goto yy62;
			}
yy156:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy234;
			default:	goto yy62;
			}
yy157:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'N':
			case 'n':	goto yy235;
			default:	goto yy62;
			}
yy158:
			yyaccept = 8;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy159;
			case 'D':
			case 'd':	goto yy236;
			case 'N':
			case 'n':	goto yy237;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy159:
#line 396 "src/parser.re"
			{ NEWTOKEN(PSI_T_IF); goto start; }
#line 2040 "src/parser.c"
yy160:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'C':
			case 'c':	goto yy238;
			case 'T':
			case 't':	goto yy239;
			default:	goto yy62;
			}
yy161:
			++cur;
			cur = ctxmrk;
#line 326 "src/parser.re"
			{ char_width = SIZEOF_WCHAR_T/8; }
#line 2056 "src/parser.c"
yy163:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy240;
			default:	goto yy62;
			}
yy164:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'B':
			case 'b':	goto yy242;
			default:	goto yy62;
			}
yy165:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'X':
			case 'x':	goto yy244;
			default:	goto yy62;
			}
yy166:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy245;
			default:	goto yy62;
			}
yy167:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'J':
			case 'j':	goto yy246;
			default:	goto yy62;
			}
yy168:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy247;
			default:	goto yy62;
			}
yy169:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'S':
			case 's':	goto yy248;
			default:	goto yy62;
			}
yy170:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy249;
			default:	goto yy62;
			}
yy171:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy250;
			default:	goto yy62;
			}
yy172:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy251;
			default:	goto yy62;
			}
yy173:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy253;
			case 'R':
			case 'r':	goto yy254;
			default:	goto yy62;
			}
yy174:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'M':
			case 'm':	goto yy255;
			default:	goto yy62;
			}
yy175:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case '_':	goto yy256;
			default:	goto yy62;
			}
yy176:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'U':
			case 'u':	goto yy257;
			default:	goto yy62;
			}
yy177:
			++cur;
			cur = ctxmrk;
#line 325 "src/parser.re"
			{ char_width = 4; }
#line 2175 "src/parser.c"
yy179:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'D':
			case 'd':	goto yy258;
			default:	goto yy62;
			}
yy180:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'R':
			case 'r':	goto yy259;
			default:	goto yy62;
			}
yy181:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy260;
			default:	goto yy62;
			}
yy182:
			yyaccept = 9;
			mrk = ++cur;
			if (lim <= cur) if (cur >= lim) goto done;;
			yych = *cur;
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy184;
			case '\\':	goto yy146;
			default:	goto yy182;
			}
yy184:
#line 446 "src/parser.re"
			{ NEWTOKEN(PSI_T_NSNAME); goto start; }
#line 2276 "src/parser.c"
yy185:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'a':	goto yy261;
			case 'e':	goto yy262;
			case 'r':	goto yy263;
			default:	goto yy62;
			}
yy186:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'O':	goto yy224;
			case 'o':	goto yy264;
			default:	goto yy62;
			}
yy187:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'a':	goto yy265;
			default:	goto yy62;
			}
yy188:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'U':
			case 'u':	goto yy226;
			case 'n':	goto yy266;
			default:	goto yy62;
			}
yy189:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'u':	goto yy267;
			default:	goto yy62;
			}
yy190:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'D':
			case 'd':	goto yy230;
			case 'u':	goto yy268;
			default:	goto yy62;
			}
yy191:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'O':	goto yy233;
			case 'o':	goto yy269;
			default:	goto yy62;
			}
yy192:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'C':
			case 'c':	goto yy238;
			case 'T':	goto yy239;
			case 't':	goto yy270;
			default:	goto yy62;
			}
yy193:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'B':
			case 'b':	goto yy242;
			case 'n':	goto yy272;
			default:	goto yy62;
			}
yy194:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'n':	goto yy273;
			default:	goto yy62;
			}
yy195:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy249;
			case 'a':	goto yy274;
			default:	goto yy62;
			}
yy196:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'o':	goto yy275;
			default:	goto yy62;
			}
yy197:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'g':	goto yy276;
			default:	goto yy62;
			}
yy198:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy253;
			case 'R':	goto yy254;
			case 'r':	goto yy277;
			default:	goto yy62;
			}
yy199:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'p':	goto yy278;
			default:	goto yy62;
			}
yy200:
			++cur;
			cur = ctxmrk;
#line 324 "src/parser.re"
			{ char_width = 2; }
#line 2405 "src/parser.c"
yy202:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			ctxmrk = cur;
			switch (yych) {
			case '"':	goto yy279;
			default:	goto yy62;
			}
yy203:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'n':	goto yy281;
			default:	goto yy62;
			}
yy204:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'D':
			case 'd':	goto yy258;
			case 'i':	goto yy282;
			case 's':	goto yy283;
			default:	goto yy62;
			}
yy205:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'i':	goto yy284;
			default:	goto yy62;
			}
yy206:
			++cur;
#line 345 "src/parser.re"
			{ NEWTOKEN(PSI_T_OR); goto start; }
#line 2442 "src/parser.c"
yy208:
			++cur;
#line 365 "src/parser.re"
			{ NEWTOKEN(PSI_T_ELLIPSIS); goto start; }
#line 2447 "src/parser.c"
yy210:
			yych = *++cur;
			switch (yych) {
			case 'D':
			case 'd':	goto yy285;
			case 'F':
			case 'f':	goto yy287;
			case 'L':
			case 'l':	goto yy289;
			default:	goto yy114;
			}
yy211:
			++cur;
			cur = ctxmrk;
#line 315 "src/parser.re"
			{ NEWTOKEN(PSI_T_NUMBER); token->flags = PSI_NUMBER_FLT | PSI_NUMBER_F; cur += 1; goto start; }
#line 2464 "src/parser.c"
yy213:
			++cur;
			cur = ctxmrk;
#line 316 "src/parser.re"
			{ NEWTOKEN(PSI_T_NUMBER); token->flags = PSI_NUMBER_FLT | PSI_NUMBER_L; cur += 1; goto start; }
#line 2470 "src/parser.c"
yy215:
			yych = *++cur;
			switch (yych) {
			case 'U':
			case 'u':	goto yy291;
			default:	goto yy114;
			}
yy216:
			++cur;
yy217:
			cur = ctxmrk;
#line 311 "src/parser.re"
			{ NEWTOKEN(PSI_T_NUMBER); token->flags = PSI_NUMBER_INT | PSI_NUMBER_UL; cur += 2; goto start; }
#line 2484 "src/parser.c"
yy218:
			yych = *++cur;
			switch (yych) {
			case 'L':
			case 'l':	goto yy291;
			default:	goto yy217;
			}
yy219:
			yyaccept = 3;
			mrk = ++cur;
			if ((lim - cur) < 3) if (cur >= lim) goto done;;
			yych = *cur;
			ctxmrk = cur;
			switch (yych) {
			case '.':	goto yy293;
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':	goto yy219;
			case 'L':
			case 'l':	goto yy128;
			case 'P':
			case 'p':	goto yy127;
			case 'U':
			case 'u':	goto yy130;
			default:	goto yy39;
			}
yy221:
			++cur;
#line 448 "src/parser.re"
			{ tok += 1; cur -= 1; NEWTOKEN(PSI_T_CPP_HEADER); cur += 1; goto start; }
#line 2534 "src/parser.c"
yy223:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy295;
			case 'V':
			case 'v':	goto yy296;
			default:	goto yy62;
			}
yy224:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy297;
			default:	goto yy62;
			}
yy225:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy298;
			default:	goto yy62;
			}
yy226:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'N':
			case 'n':	goto yy299;
			default:	goto yy62;
			}
yy227:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'I':
			case 'i':	goto yy300;
			default:	goto yy62;
			}
yy228:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'F':
			case 'f':	goto yy301;
			default:	goto yy62;
			}
yy229:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy303;
			default:	goto yy62;
			}
yy230:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'I':
			case 'i':	goto yy305;
			default:	goto yy62;
			}
yy231:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'O':
			case 'o':	goto yy306;
			default:	goto yy62;
			}
yy232:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'S':
			case 's':	goto yy307;
			default:	goto yy62;
			}
yy233:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy308;
			default:	goto yy62;
			}
yy234:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy309;
			default:	goto yy62;
			}
yy235:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'C':
			case 'c':	goto yy311;
			default:	goto yy62;
			}
yy236:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy312;
			default:	goto yy62;
			}
yy237:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'D':
			case 'd':	goto yy313;
			default:	goto yy62;
			}
yy238:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy314;
			default:	goto yy62;
			}
yy239:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'V':
			case 'v':	goto yy315;
			default:	goto yy62;
			}
yy240:
			yyaccept = 10;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy241;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy241:
#line 421 "src/parser.re"
			{ NEWTOKEN(PSI_T_LET); goto start; }
#line 2747 "src/parser.c"
yy242:
			yyaccept = 11;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy243;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy243:
#line 420 "src/parser.re"
			{ NEWTOKEN(PSI_T_LIB); goto start; }
#line 2822 "src/parser.c"
yy244:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy316;
			default:	goto yy62;
			}
yy245:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy317;
			default:	goto yy62;
			}
yy246:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy319;
			case 'V':
			case 'v':	goto yy320;
			default:	goto yy62;
			}
yy247:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'H':
			case 'h':	goto yy321;
			default:	goto yy62;
			}
yy248:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy322;
			default:	goto yy62;
			}
yy249:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case '_':	goto yy323;
			default:	goto yy62;
			}
yy250:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'U':
			case 'u':	goto yy324;
			default:	goto yy62;
			}
yy251:
			yyaccept = 12;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy252;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy252:
#line 422 "src/parser.re"
			{ NEWTOKEN(PSI_T_SET); goto start; }
#line 2954 "src/parser.c"
yy253:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy325;
			default:	goto yy62;
			}
yy254:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'I':
			case 'i':	goto yy326;
			case 'L':
			case 'l':	goto yy327;
			case 'V':
			case 'v':	goto yy328;
			default:	goto yy62;
			}
yy255:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'P':
			case 'p':	goto yy329;
			default:	goto yy62;
			}
yy256:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy331;
			case 'B':
			case 'b':	goto yy332;
			case 'F':
			case 'f':	goto yy333;
			case 'I':
			case 'i':	goto yy334;
			case 'O':
			case 'o':	goto yy335;
			case 'S':
			case 's':	goto yy336;
			default:	goto yy62;
			}
yy257:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy337;
			default:	goto yy62;
			}
yy258:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy339;
			default:	goto yy62;
			}
yy259:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'N':
			case 'n':	goto yy340;
			default:	goto yy62;
			}
yy260:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy341;
			default:	goto yy62;
			}
yy261:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 's':	goto yy343;
			case 't':	goto yy344;
			default:	goto yy62;
			}
yy262:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'x':	goto yy345;
			default:	goto yy62;
			}
yy263:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'e':	goto yy346;
			default:	goto yy62;
			}
yy264:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'L':	goto yy297;
			case 'l':	goto yy347;
			default:	goto yy62;
			}
yy265:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'r':	goto yy349;
			default:	goto yy62;
			}
yy266:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 's':	goto yy351;
			default:	goto yy62;
			}
yy267:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'b':	goto yy352;
			default:	goto yy62;
			}
yy268:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'm':	goto yy353;
			default:	goto yy62;
			}
yy269:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'A':	goto yy308;
			case 'a':	goto yy355;
			default:	goto yy62;
			}
yy270:
			yyaccept = 13;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy271;
			case '1':	goto yy356;
			case '3':	goto yy357;
			case '6':	goto yy358;
			case '8':	goto yy359;
			case 'V':
			case 'v':	goto yy315;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy271:
#line 382 "src/parser.re"
			{ NEWTOKEN(PSI_T_INT); goto start; }
#line 3179 "src/parser.c"
yy272:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'e':	goto yy360;
			default:	goto yy62;
			}
yy273:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'g':	goto yy362;
			default:	goto yy62;
			}
yy274:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'g':	goto yy364;
			default:	goto yy62;
			}
yy275:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'r':	goto yy365;
			default:	goto yy62;
			}
yy276:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'n':	goto yy366;
			default:	goto yy62;
			}
yy277:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'I':
			case 'i':	goto yy326;
			case 'L':
			case 'l':	goto yy327;
			case 'V':
			case 'v':	goto yy328;
			case 'u':	goto yy367;
			default:	goto yy62;
			}
yy278:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'e':	goto yy368;
			default:	goto yy62;
			}
yy279:
			++cur;
			cur = ctxmrk;
#line 323 "src/parser.re"
			{ char_width = 1; }
#line 3240 "src/parser.c"
yy281:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 't':	goto yy369;
			default:	goto yy62;
			}
yy282:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'o':	goto yy370;
			default:	goto yy62;
			}
yy283:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'i':	goto yy371;
			default:	goto yy62;
			}
yy284:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'd':	goto yy372;
			default:	goto yy62;
			}
yy285:
			++cur;
			cur = ctxmrk;
#line 318 "src/parser.re"
			{ NEWTOKEN(PSI_T_NUMBER); token->flags = PSI_NUMBER_FLT | PSI_NUMBER_DD; cur += 2; goto start; }
#line 3274 "src/parser.c"
yy287:
			++cur;
			cur = ctxmrk;
#line 317 "src/parser.re"
			{ NEWTOKEN(PSI_T_NUMBER); token->flags = PSI_NUMBER_FLT | PSI_NUMBER_DF; cur += 2; goto start; }
#line 3280 "src/parser.c"
yy289:
			++cur;
			cur = ctxmrk;
#line 319 "src/parser.re"
			{ NEWTOKEN(PSI_T_NUMBER); token->flags = PSI_NUMBER_FLT | PSI_NUMBER_DL; cur += 2; goto start; }
#line 3286 "src/parser.c"
yy291:
			++cur;
			cur = ctxmrk;
#line 312 "src/parser.re"
			{ NEWTOKEN(PSI_T_NUMBER); token->flags = PSI_NUMBER_INT | PSI_NUMBER_ULL; cur += 3; goto start; }
#line 3292 "src/parser.c"
yy293:
			++cur;
			if ((lim - cur) < 3) if (cur >= lim) goto done;;
			yych = *cur;
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':	goto yy293;
			case 'P':
			case 'p':	goto yy127;
			default:	goto yy114;
			}
yy295:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'Y':
			case 'y':	goto yy374;
			default:	goto yy62;
			}
yy296:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy376;
			default:	goto yy62;
			}
yy297:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'V':
			case 'v':	goto yy377;
			default:	goto yy62;
			}
yy298:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy378;
			case 'B':
			case 'b':	goto yy379;
			case 'O':
			case 'o':	goto yy380;
			default:	goto yy62;
			}
yy299:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy381;
			default:	goto yy62;
			}
yy300:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'N':
			case 'n':	goto yy383;
			default:	goto yy62;
			}
yy301:
			yyaccept = 14;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy302;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy302:
#line 400 "src/parser.re"
			{ NEWTOKEN(PSI_T_ELIF); goto start; }
#line 3450 "src/parser.c"
yy303:
			yyaccept = 15;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy304;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy304:
#line 399 "src/parser.re"
			{ NEWTOKEN(PSI_T_ELSE); goto start; }
#line 3525 "src/parser.c"
yy305:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'F':
			case 'f':	goto yy384;
			default:	goto yy62;
			}
yy306:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'R':
			case 'r':	goto yy386;
			default:	goto yy62;
			}
yy307:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy388;
			default:	goto yy62;
			}
yy308:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy390;
			default:	goto yy62;
			}
yy309:
			yyaccept = 16;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy310;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy310:
#line 426 "src/parser.re"
			{ NEWTOKEN(PSI_T_FREE); goto start; }
#line 3632 "src/parser.c"
yy311:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy391;
			default:	goto yy62;
			}
yy312:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'F':
			case 'f':	goto yy392;
			default:	goto yy62;
			}
yy313:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy394;
			default:	goto yy62;
			}
yy314:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'U':
			case 'u':	goto yy395;
			default:	goto yy62;
			}
yy315:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy396;
			default:	goto yy62;
			}
yy316:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'D':
			case 'd':	goto yy397;
			default:	goto yy62;
			}
yy317:
			yyaccept = 17;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy318;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy318:
#line 411 "src/parser.re"
			{ NEWTOKEN(PSI_T_NULL); goto start; }
#line 3755 "src/parser.c"
yy319:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'C':
			case 'c':	goto yy399;
			default:	goto yy62;
			}
yy320:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy400;
			default:	goto yy62;
			}
yy321:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'V':
			case 'v':	goto yy401;
			default:	goto yy62;
			}
yy322:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case '_':	goto yy402;
			default:	goto yy62;
			}
yy323:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy403;
			default:	goto yy62;
			}
yy324:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'R':
			case 'r':	goto yy404;
			default:	goto yy62;
			}
yy325:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'I':
			case 'i':	goto yy405;
			default:	goto yy62;
			}
yy326:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'N':
			case 'n':	goto yy406;
			default:	goto yy62;
			}
yy327:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy407;
			default:	goto yy62;
			}
yy328:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy408;
			default:	goto yy62;
			}
yy329:
			yyaccept = 18;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy330;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy330:
#line 427 "src/parser.re"
			{ NEWTOKEN(PSI_T_TEMP); goto start; }
#line 3909 "src/parser.c"
yy331:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'R':
			case 'r':	goto yy409;
			default:	goto yy62;
			}
yy332:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'O':
			case 'o':	goto yy410;
			default:	goto yy62;
			}
yy333:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy411;
			default:	goto yy62;
			}
yy334:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'N':
			case 'n':	goto yy412;
			default:	goto yy62;
			}
yy335:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'B':
			case 'b':	goto yy413;
			default:	goto yy62;
			}
yy336:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy414;
			default:	goto yy62;
			}
yy337:
			yyaccept = 19;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy338;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy338:
#line 409 "src/parser.re"
			{ NEWTOKEN(PSI_T_TRUE); goto start; }
#line 4032 "src/parser.c"
yy339:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'F':
			case 'f':	goto yy415;
			default:	goto yy62;
			}
yy340:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'I':
			case 'i':	goto yy417;
			default:	goto yy62;
			}
yy341:
			yyaccept = 20;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy342;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy342:
#line 436 "src/parser.re"
			{ NEWTOKEN(PSI_T_ZVAL); goto start; }
#line 4123 "src/parser.c"
yy343:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'm':	goto yy418;
			default:	goto yy62;
			}
yy344:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 't':	goto yy419;
			default:	goto yy62;
			}
yy345:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 't':	goto yy420;
			default:	goto yy62;
			}
yy346:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 's':	goto yy421;
			default:	goto yy62;
			}
yy347:
			yyaccept = 21;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy348;
			case 'V':
			case 'v':	goto yy377;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy348:
#line 379 "src/parser.re"
			{ NEWTOKEN(PSI_T_BOOL); goto start; }
#line 4228 "src/parser.c"
yy349:
			yyaccept = 22;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy350;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy350:
#line 380 "src/parser.re"
			{ NEWTOKEN(PSI_T_CHAR); goto start; }
#line 4303 "src/parser.c"
yy351:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 't':	goto yy422;
			default:	goto yy62;
			}
yy352:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'l':	goto yy424;
			default:	goto yy62;
			}
yy353:
			yyaccept = 23;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy354;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy354:
#line 376 "src/parser.re"
			{ NEWTOKEN(PSI_T_ENUM); goto start; }
#line 4392 "src/parser.c"
yy355:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'T':	goto yy390;
			case 't':	goto yy425;
			default:	goto yy62;
			}
yy356:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case '6':	goto yy427;
			default:	goto yy62;
			}
yy357:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case '2':	goto yy428;
			default:	goto yy62;
			}
yy358:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case '4':	goto yy429;
			default:	goto yy62;
			}
yy359:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case '_':	goto yy430;
			default:	goto yy62;
			}
yy360:
			yyaccept = 24;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy361;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy361:
#line 372 "src/parser.re"
			{ NEWTOKEN(PSI_T_LINE); goto start; }
#line 4503 "src/parser.c"
yy362:
			yyaccept = 25;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy363;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy363:
#line 383 "src/parser.re"
			{ NEWTOKEN(PSI_T_LONG); goto start; }
#line 4578 "src/parser.c"
yy364:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'm':	goto yy431;
			default:	goto yy62;
			}
yy365:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 't':	goto yy432;
			default:	goto yy62;
			}
yy366:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'e':	goto yy434;
			default:	goto yy62;
			}
yy367:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'c':	goto yy435;
			default:	goto yy62;
			}
yy368:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'd':	goto yy436;
			default:	goto yy62;
			}
yy369:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case '1':	goto yy437;
			case '3':	goto yy438;
			case '6':	goto yy439;
			case '8':	goto yy440;
			default:	goto yy62;
			}
yy370:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'n':	goto yy441;
			default:	goto yy62;
			}
yy371:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'g':	goto yy443;
			default:	goto yy62;
			}
yy372:
			yyaccept = 26;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy373;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy373:
#line 378 "src/parser.re"
			{ NEWTOKEN(PSI_T_VOID); goto start; }
#line 4712 "src/parser.c"
yy374:
			yyaccept = 27;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy375;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy375:
#line 415 "src/parser.re"
			{ NEWTOKEN(PSI_T_ARRAY); goto start; }
#line 4787 "src/parser.c"
yy376:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy444;
			default:	goto yy62;
			}
yy377:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy446;
			default:	goto yy62;
			}
yy378:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'B':
			case 'b':	goto yy447;
			default:	goto yy62;
			}
yy379:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy448;
			default:	goto yy62;
			}
yy380:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'C':
			case 'c':	goto yy449;
			default:	goto yy62;
			}
yy381:
			yyaccept = 28;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy382;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy382:
#line 437 "src/parser.re"
			{ NEWTOKEN(PSI_T_COUNT); goto start; }
#line 4902 "src/parser.c"
yy383:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy451;
			default:	goto yy62;
			}
yy384:
			yyaccept = 29;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy385;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy385:
#line 401 "src/parser.re"
			{ NEWTOKEN(PSI_T_ENDIF); goto start; }
#line 4985 "src/parser.c"
yy386:
			yyaccept = 30;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy387;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy387:
#line 406 "src/parser.re"
			{ NEWTOKEN(PSI_T_ERROR); goto start; }
#line 5060 "src/parser.c"
yy388:
			yyaccept = 31;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy389;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy389:
#line 410 "src/parser.re"
			{ NEWTOKEN(PSI_T_FALSE); goto start; }
#line 5135 "src/parser.c"
yy390:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'V':
			case 'v':	goto yy453;
			default:	goto yy62;
			}
yy391:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'I':
			case 'i':	goto yy454;
			default:	goto yy62;
			}
yy392:
			yyaccept = 32;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy393;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy393:
#line 397 "src/parser.re"
			{ NEWTOKEN(PSI_T_IFDEF); goto start; }
#line 5226 "src/parser.c"
yy394:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'F':
			case 'f':	goto yy455;
			default:	goto yy62;
			}
yy395:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'D':
			case 'd':	goto yy457;
			default:	goto yy62;
			}
yy396:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy458;
			default:	goto yy62;
			}
yy397:
			yyaccept = 33;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy398;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy398:
#line 412 "src/parser.re"
			{ NEWTOKEN(PSI_T_MIXED); goto start; }
#line 5325 "src/parser.c"
yy399:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy460;
			default:	goto yy62;
			}
yy400:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy462;
			default:	goto yy62;
			}
yy401:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy464;
			default:	goto yy62;
			}
yy402:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy465;
			default:	goto yy62;
			}
yy403:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'S':
			case 's':	goto yy466;
			default:	goto yy62;
			}
yy404:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'N':
			case 'n':	goto yy467;
			default:	goto yy62;
			}
yy405:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'C':
			case 'c':	goto yy469;
			default:	goto yy62;
			}
yy406:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'G':
			case 'g':	goto yy471;
			default:	goto yy62;
			}
yy407:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'N':
			case 'n':	goto yy473;
			default:	goto yy62;
			}
yy408:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy475;
			default:	goto yy62;
			}
yy409:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'R':
			case 'r':	goto yy477;
			default:	goto yy62;
			}
yy410:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'O':
			case 'o':	goto yy478;
			default:	goto yy62;
			}
yy411:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'O':
			case 'o':	goto yy479;
			default:	goto yy62;
			}
yy412:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy480;
			default:	goto yy62;
			}
yy413:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'J':
			case 'j':	goto yy482;
			default:	goto yy62;
			}
yy414:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'R':
			case 'r':	goto yy483;
			default:	goto yy62;
			}
yy415:
			yyaccept = 34;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy416;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy416:
#line 404 "src/parser.re"
			{ NEWTOKEN(PSI_T_UNDEF); goto start; }
#line 5528 "src/parser.c"
yy417:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'N':
			case 'n':	goto yy484;
			default:	goto yy62;
			}
yy418:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case '_':	goto yy485;
			default:	goto yy62;
			}
yy419:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'r':	goto yy486;
			default:	goto yy62;
			}
yy420:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'e':	goto yy487;
			default:	goto yy62;
			}
yy421:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 't':	goto yy488;
			default:	goto yy62;
			}
yy422:
			yyaccept = 35;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy423;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy423:
#line 377 "src/parser.re"
			{ NEWTOKEN(PSI_T_CONST); goto start; }
#line 5639 "src/parser.c"
yy424:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'e':	goto yy489;
			default:	goto yy62;
			}
yy425:
			yyaccept = 36;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy426;
			case 'V':
			case 'v':	goto yy453;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy426:
#line 384 "src/parser.re"
			{ NEWTOKEN(PSI_T_FLOAT); goto start; }
#line 5723 "src/parser.c"
yy427:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case '_':	goto yy491;
			default:	goto yy62;
			}
yy428:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case '_':	goto yy492;
			default:	goto yy62;
			}
yy429:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case '_':	goto yy493;
			default:	goto yy62;
			}
yy430:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 't':	goto yy494;
			default:	goto yy62;
			}
yy431:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'a':	goto yy496;
			default:	goto yy62;
			}
yy432:
			yyaccept = 37;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy433;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy433:
#line 381 "src/parser.re"
			{ NEWTOKEN(PSI_T_SHORT); goto start; }
#line 5833 "src/parser.c"
yy434:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'd':	goto yy498;
			default:	goto yy62;
			}
yy435:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 't':	goto yy500;
			default:	goto yy62;
			}
yy436:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'e':	goto yy502;
			default:	goto yy62;
			}
yy437:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case '6':	goto yy503;
			default:	goto yy62;
			}
yy438:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case '2':	goto yy504;
			default:	goto yy62;
			}
yy439:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case '4':	goto yy505;
			default:	goto yy62;
			}
yy440:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case '_':	goto yy506;
			default:	goto yy62;
			}
yy441:
			yyaccept = 38;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy442;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy442:
#line 375 "src/parser.re"
			{ NEWTOKEN(PSI_T_UNION); goto start; }
#line 5957 "src/parser.c"
yy443:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'n':	goto yy507;
			default:	goto yy62;
			}
yy444:
			yyaccept = 39;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy445;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy445:
#line 434 "src/parser.re"
			{ NEWTOKEN(PSI_T_ARRVAL); goto start; }
#line 6039 "src/parser.c"
yy446:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy508;
			default:	goto yy62;
			}
yy447:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy510;
			default:	goto yy62;
			}
yy448:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'C':
			case 'c':	goto yy511;
			default:	goto yy62;
			}
yy449:
			yyaccept = 40;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy450;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy450:
#line 438 "src/parser.re"
			{ NEWTOKEN(PSI_T_CALLOC); goto start; }
#line 6138 "src/parser.c"
yy451:
			yyaccept = 41;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy452;
			case 'D':
			case 'd':	goto yy512;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy452:
#line 402 "src/parser.re"
			{ NEWTOKEN(PSI_T_DEFINE); goto start; }
#line 6215 "src/parser.c"
yy453:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy514;
			default:	goto yy62;
			}
yy454:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'O':
			case 'o':	goto yy515;
			default:	goto yy62;
			}
yy455:
			yyaccept = 42;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy456;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy456:
#line 398 "src/parser.re"
			{ NEWTOKEN(PSI_T_IFNDEF); goto start; }
#line 6306 "src/parser.c"
yy457:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy516;
			default:	goto yy62;
			}
yy458:
			yyaccept = 43;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy459;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy459:
#line 431 "src/parser.re"
			{ NEWTOKEN(PSI_T_INTVAL); goto start; }
#line 6389 "src/parser.c"
yy460:
			yyaccept = 44;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy461;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy461:
#line 416 "src/parser.re"
			{ NEWTOKEN(PSI_T_OBJECT); goto start; }
#line 6464 "src/parser.c"
yy462:
			yyaccept = 45;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy463;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy463:
#line 435 "src/parser.re"
			{ NEWTOKEN(PSI_T_OBJVAL); goto start; }
#line 6539 "src/parser.c"
yy464:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy518;
			default:	goto yy62;
			}
yy465:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'S':
			case 's':	goto yy520;
			default:	goto yy62;
			}
yy466:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'S':
			case 's':	goto yy521;
			default:	goto yy62;
			}
yy467:
			yyaccept = 46;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy468;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy468:
#line 425 "src/parser.re"
			{ NEWTOKEN(PSI_T_RETURN); goto start; }
#line 6638 "src/parser.c"
yy469:
			yyaccept = 47;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy470;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy470:
#line 418 "src/parser.re"
			{ NEWTOKEN(PSI_T_STATIC); goto start; }
#line 6713 "src/parser.c"
yy471:
			yyaccept = 48;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy472;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy472:
#line 414 "src/parser.re"
			{ NEWTOKEN(PSI_T_STRING); goto start; }
#line 6788 "src/parser.c"
yy473:
			yyaccept = 49;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy474;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy474:
#line 428 "src/parser.re"
			{ NEWTOKEN(PSI_T_STRLEN); goto start; }
#line 6863 "src/parser.c"
yy475:
			yyaccept = 50;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy476;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy476:
#line 429 "src/parser.re"
			{ NEWTOKEN(PSI_T_STRVAL); goto start; }
#line 6938 "src/parser.c"
yy477:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy522;
			default:	goto yy62;
			}
yy478:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy523;
			default:	goto yy62;
			}
yy479:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy525;
			default:	goto yy62;
			}
yy480:
			yyaccept = 51;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy481;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy481:
#line 442 "src/parser.re"
			{ NEWTOKEN(PSI_T_TO_INT); goto start; }
#line 7037 "src/parser.c"
yy482:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy526;
			default:	goto yy62;
			}
yy483:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'I':
			case 'i':	goto yy527;
			default:	goto yy62;
			}
yy484:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'G':
			case 'g':	goto yy528;
			default:	goto yy62;
			}
yy485:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case '_':	goto yy530;
			default:	goto yy62;
			}
yy486:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'i':	goto yy532;
			default:	goto yy62;
			}
yy487:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'n':	goto yy533;
			default:	goto yy62;
			}
yy488:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'r':	goto yy534;
			default:	goto yy62;
			}
yy489:
			yyaccept = 52;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy490;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy490:
#line 385 "src/parser.re"
			{ NEWTOKEN(PSI_T_DOUBLE); goto start; }
#line 7164 "src/parser.c"
yy491:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 't':	goto yy535;
			default:	goto yy62;
			}
yy492:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 't':	goto yy537;
			default:	goto yy62;
			}
yy493:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 't':	goto yy539;
			default:	goto yy62;
			}
yy494:
			yyaccept = 53;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy495;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy495:
#line 386 "src/parser.re"
			{ NEWTOKEN(PSI_T_INT8); goto start; }
#line 7260 "src/parser.c"
yy496:
			yyaccept = 54;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy497;
			case '\\':	goto yy146;
			default:	goto yy541;
			}
yy497:
#line 367 "src/parser.re"
			{ NEWTOKEN(PSI_T_PRAGMA); goto start; }
#line 7335 "src/parser.c"
yy498:
			yyaccept = 55;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy499;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy499:
#line 395 "src/parser.re"
			{ NEWTOKEN(PSI_T_SIGNED); goto start; }
#line 7410 "src/parser.c"
yy500:
			yyaccept = 56;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy501;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy501:
#line 374 "src/parser.re"
			{ NEWTOKEN(PSI_T_STRUCT); goto start; }
#line 7485 "src/parser.c"
yy502:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'f':	goto yy543;
			default:	goto yy62;
			}
yy503:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case '_':	goto yy545;
			default:	goto yy62;
			}
yy504:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case '_':	goto yy546;
			default:	goto yy62;
			}
yy505:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case '_':	goto yy547;
			default:	goto yy62;
			}
yy506:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 't':	goto yy548;
			default:	goto yy62;
			}
yy507:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'e':	goto yy550;
			default:	goto yy62;
			}
yy508:
			yyaccept = 57;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy509;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy509:
#line 433 "src/parser.re"
			{ NEWTOKEN(PSI_T_BOOLVAL); goto start; }
#line 7602 "src/parser.c"
yy510:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy551;
			default:	goto yy62;
			}
yy511:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'K':
			case 'k':	goto yy553;
			default:	goto yy62;
			}
yy512:
			yyaccept = 58;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy513;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy513:
#line 403 "src/parser.re"
			{ NEWTOKEN(PSI_T_DEFINED); goto start; }
#line 7693 "src/parser.c"
yy514:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy555;
			default:	goto yy62;
			}
yy515:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'N':
			case 'n':	goto yy557;
			default:	goto yy62;
			}
yy516:
			yyaccept = 59;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy517;
			case '\\':	goto yy146;
			case '_':	goto yy559;
			default:	goto yy61;
			}
yy517:
#line 407 "src/parser.re"
			{ NEWTOKEN(PSI_T_INCLUDE); goto start; }
#line 7785 "src/parser.c"
yy518:
			yyaccept = 60;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy519;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy519:
#line 430 "src/parser.re"
			{ NEWTOKEN(PSI_T_PATHVAL); goto start; }
#line 7860 "src/parser.c"
yy520:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'S':
			case 's':	goto yy560;
			default:	goto yy62;
			}
yy521:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy561;
			default:	goto yy62;
			}
yy522:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'Y':
			case 'y':	goto yy562;
			default:	goto yy62;
			}
yy523:
			yyaccept = 61;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy524;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy524:
#line 444 "src/parser.re"
			{ NEWTOKEN(PSI_T_TO_BOOL); goto start; }
#line 7959 "src/parser.c"
yy525:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy564;
			default:	goto yy62;
			}
yy526:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'C':
			case 'c':	goto yy566;
			default:	goto yy62;
			}
yy527:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'N':
			case 'n':	goto yy567;
			default:	goto yy62;
			}
yy528:
			yyaccept = 62;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy529;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy529:
#line 405 "src/parser.re"
			{ NEWTOKEN(PSI_T_WARNING); goto start; }
#line 8058 "src/parser.c"
yy530:
			yyaccept = 63;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy531;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy531:
#line 371 "src/parser.re"
			{ NEWTOKEN(PSI_T_CPP_ASM); goto start; }
#line 8133 "src/parser.c"
yy532:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'b':	goto yy568;
			default:	goto yy62;
			}
yy533:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 's':	goto yy569;
			default:	goto yy62;
			}
yy534:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'i':	goto yy570;
			default:	goto yy62;
			}
yy535:
			yyaccept = 64;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy536;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy536:
#line 388 "src/parser.re"
			{ NEWTOKEN(PSI_T_INT16); goto start; }
#line 8229 "src/parser.c"
yy537:
			yyaccept = 65;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy538;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy538:
#line 390 "src/parser.re"
			{ NEWTOKEN(PSI_T_INT32); goto start; }
#line 8304 "src/parser.c"
yy539:
			yyaccept = 66;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy540;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy540:
#line 392 "src/parser.re"
			{ NEWTOKEN(PSI_T_INT64); goto start; }
#line 8379 "src/parser.c"
yy541:
			yyaccept = 5;
			mrk = ++cur;
			if (lim <= cur) if (cur >= lim) goto done;;
			yych = *cur;
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy55;
			case '\\':	goto yy146;
			case 'o':	goto yy571;
			default:	goto yy541;
			}
yy543:
			yyaccept = 67;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy544;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy544:
#line 373 "src/parser.re"
			{ NEWTOKEN(PSI_T_TYPEDEF); goto start; }
#line 8528 "src/parser.c"
yy545:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 't':	goto yy573;
			default:	goto yy62;
			}
yy546:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 't':	goto yy575;
			default:	goto yy62;
			}
yy547:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 't':	goto yy577;
			default:	goto yy62;
			}
yy548:
			yyaccept = 68;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy549;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy549:
#line 387 "src/parser.re"
			{ NEWTOKEN(PSI_T_UINT8); goto start; }
#line 8624 "src/parser.c"
yy550:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'd':	goto yy579;
			default:	goto yy62;
			}
yy551:
			yyaccept = 69;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy552;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy552:
#line 413 "src/parser.re"
			{ NEWTOKEN(PSI_T_CALLABLE); goto start; }
#line 8706 "src/parser.c"
yy553:
			yyaccept = 70;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy554;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy554:
#line 417 "src/parser.re"
			{ NEWTOKEN(PSI_T_CALLBACK); goto start; }
#line 8781 "src/parser.c"
yy555:
			yyaccept = 71;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy556;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy556:
#line 432 "src/parser.re"
			{ NEWTOKEN(PSI_T_FLOATVAL); goto start; }
#line 8856 "src/parser.c"
yy557:
			yyaccept = 72;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy558;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy558:
#line 419 "src/parser.re"
			{ NEWTOKEN(PSI_T_FUNCTION); goto start; }
#line 8931 "src/parser.c"
yy559:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'N':
			case 'n':	goto yy581;
			default:	goto yy62;
			}
yy560:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy582;
			default:	goto yy62;
			}
yy561:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'R':
			case 'r':	goto yy583;
			default:	goto yy62;
			}
yy562:
			yyaccept = 73;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy563;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy563:
#line 440 "src/parser.re"
			{ NEWTOKEN(PSI_T_TO_ARRAY); goto start; }
#line 9030 "src/parser.c"
yy564:
			yyaccept = 74;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy565;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy565:
#line 443 "src/parser.re"
			{ NEWTOKEN(PSI_T_TO_FLOAT); goto start; }
#line 9105 "src/parser.c"
yy566:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy584;
			default:	goto yy62;
			}
yy567:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'G':
			case 'g':	goto yy586;
			default:	goto yy62;
			}
yy568:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'u':	goto yy588;
			default:	goto yy62;
			}
yy569:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'i':	goto yy589;
			default:	goto yy62;
			}
yy570:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'c':	goto yy590;
			default:	goto yy62;
			}
yy571:
			yyaccept = 5;
			mrk = ++cur;
			if (lim <= cur) if (cur >= lim) goto done;;
			yych = *cur;
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy55;
			case '\\':	goto yy146;
			case 'n':	goto yy591;
			case 'o':	goto yy571;
			default:	goto yy541;
			}
yy573:
			yyaccept = 75;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy574;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy574:
#line 389 "src/parser.re"
			{ NEWTOKEN(PSI_T_UINT16); goto start; }
#line 9292 "src/parser.c"
yy575:
			yyaccept = 76;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy576;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy576:
#line 391 "src/parser.re"
			{ NEWTOKEN(PSI_T_UINT32); goto start; }
#line 9367 "src/parser.c"
yy577:
			yyaccept = 77;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy578;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy578:
#line 393 "src/parser.re"
			{ NEWTOKEN(PSI_T_UINT64); goto start; }
#line 9442 "src/parser.c"
yy579:
			yyaccept = 78;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy580;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy580:
#line 394 "src/parser.re"
			{ NEWTOKEN(PSI_T_UNSIGNED); goto start; }
#line 9517 "src/parser.c"
yy581:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy592;
			default:	goto yy62;
			}
yy582:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'R':
			case 'r':	goto yy593;
			default:	goto yy62;
			}
yy583:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy594;
			default:	goto yy62;
			}
yy584:
			yyaccept = 79;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy585;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy585:
#line 439 "src/parser.re"
			{ NEWTOKEN(PSI_T_TO_OBJECT); goto start; }
#line 9616 "src/parser.c"
yy586:
			yyaccept = 80;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy587;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy587:
#line 441 "src/parser.re"
			{ NEWTOKEN(PSI_T_TO_STRING); goto start; }
#line 9691 "src/parser.c"
yy588:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 't':	goto yy596;
			default:	goto yy62;
			}
yy589:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'o':	goto yy597;
			default:	goto yy62;
			}
yy590:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 't':	goto yy598;
			default:	goto yy62;
			}
yy591:
			yyaccept = 5;
			mrk = ++cur;
			if (lim <= cur) if (cur >= lim) goto done;;
			yych = *cur;
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy55;
			case '\\':	goto yy146;
			case 'c':	goto yy600;
			case 'o':	goto yy571;
			default:	goto yy541;
			}
yy592:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'X':
			case 'x':	goto yy601;
			default:	goto yy62;
			}
yy593:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy602;
			default:	goto yy62;
			}
yy594:
			yyaccept = 81;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy595;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy595:
#line 423 "src/parser.re"
			{ NEWTOKEN(PSI_T_PRE_ASSERT); goto start; }
#line 9878 "src/parser.c"
yy596:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'e':	goto yy604;
			default:	goto yy62;
			}
yy597:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'n':	goto yy605;
			default:	goto yy62;
			}
yy598:
			yyaccept = 82;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy599;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy599:
#line 369 "src/parser.re"
			{ NEWTOKEN(PSI_T_CPP_RESTRICT); goto start; }
#line 9967 "src/parser.c"
yy600:
			yyaccept = 5;
			mrk = ++cur;
			if (lim <= cur) if (cur >= lim) goto done;;
			yych = *cur;
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy55;
			case '\\':	goto yy146;
			case 'e':	goto yy606;
			case 'o':	goto yy571;
			default:	goto yy541;
			}
yy601:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy608;
			default:	goto yy62;
			}
yy602:
			yyaccept = 83;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy603;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy603:
#line 424 "src/parser.re"
			{ NEWTOKEN(PSI_T_POST_ASSERT); goto start; }
#line 10125 "src/parser.c"
yy604:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case '_':	goto yy610;
			default:	goto yy62;
			}
yy605:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case '_':	goto yy611;
			default:	goto yy62;
			}
yy606:
			yyaccept = 84;
			mrk = ++cur;
			if (lim <= cur) if (cur >= lim) goto done;;
			yych = *cur;
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy607;
			case '\\':	goto yy146;
			case 'o':	goto yy571;
			default:	goto yy541;
			}
yy607:
#line 368 "src/parser.re"
			{ NEWTOKEN(PSI_T_PRAGMA_ONCE); goto start; }
#line 10217 "src/parser.c"
yy608:
			yyaccept = 85;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy609;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy609:
#line 408 "src/parser.re"
			{ NEWTOKEN(PSI_T_INCLUDE_NEXT); goto start; }
#line 10292 "src/parser.c"
yy610:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case '_':	goto yy612;
			default:	goto yy62;
			}
yy611:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case '_':	goto yy613;
			default:	goto yy62;
			}
yy612:
			yyaccept = 5;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\n':
			case '\v':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy55;
			case '\t':
			case '\f':
			case ' ':	goto yy615;
			case '(':	goto yy617;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy613:
			yyaccept = 86;
			yych = *(mrk = ++cur);
			switch (yych) {
			case 0x00:
			case 0x01:
			case 0x02:
			case 0x03:
			case 0x04:
			case 0x05:
			case 0x06:
			case 0x07:
			case 0x08:
			case '\t':
			case '\n':
			case '\v':
			case '\f':
			case '\r':
			case 0x0E:
			case 0x0F:
			case 0x10:
			case 0x11:
			case 0x12:
			case 0x13:
			case 0x14:
			case 0x15:
			case 0x16:
			case 0x17:
			case 0x18:
			case 0x19:
			case 0x1A:
			case 0x1B:
			case 0x1C:
			case 0x1D:
			case 0x1E:
			case 0x1F:
			case ' ':
			case '!':
			case '"':
			case '#':
			case '$':
			case '%':
			case '&':
			case '\'':
			case '(':
			case ')':
			case '*':
			case '+':
			case ',':
			case '-':
			case '.':
			case '/':
			case ':':
			case ';':
			case '<':
			case '=':
			case '>':
			case '?':
			case '@':
			case '[':
			case ']':
			case '^':
			case '`':
			case '{':
			case '|':
			case '}':
			case '~':
			case 0x7F:	goto yy614;
			case '\\':	goto yy146;
			default:	goto yy61;
			}
yy614:
#line 370 "src/parser.re"
			{ NEWTOKEN(PSI_T_CPP_EXTENSION); goto start; }
#line 10452 "src/parser.c"
yy615:
			++cur;
			if ((lim - cur) < 2) if (cur >= lim) goto done;;
			yych = *cur;
			switch (yych) {
			case '\t':
			case '\f':
			case ' ':	goto yy615;
			case '(':	goto yy617;
			default:	goto yy114;
			}
yy617:
			yych = *++cur;
			switch (yych) {
			case '(':	goto yy618;
			default:	goto yy114;
			}
yy618:
			++cur;
#line 449 "src/parser.re"
			{ parens = 2; goto cpp_attribute; }
#line 10474 "src/parser.c"
		}
#line 455 "src/parser.re"


	character: ;
		
#line 10481 "src/parser.c"
		{
			unsigned char yych;
			if (lim <= cur) if (cur >= lim) goto done;;
			yych = *cur;
			switch (yych) {
			case '\n':
			case '\r':	goto yy624;
			case '\'':	goto yy626;
			case '\\':	goto yy628;
			default:	goto yy622;
			}
yy622:
			++cur;
#line 473 "src/parser.re"
			{ escaped = false; goto character; }
#line 10497 "src/parser.c"
yy624:
			++cur;
#line 460 "src/parser.re"
			{ NEWLINE(); goto character; }
#line 10502 "src/parser.c"
yy626:
			++cur;
#line 462 "src/parser.re"
			{
			if (escaped) {
				escaped = false;
				goto character;
			}
			cur -= 1;
			NEWTOKEN(PSI_T_QUOTED_CHAR);
			cur += 1;
			token->flags = char_width;
			goto start;
		}
#line 10517 "src/parser.c"
yy628:
			++cur;
#line 461 "src/parser.re"
			{ escaped = !escaped;  goto character; }
#line 10522 "src/parser.c"
		}
#line 475 "src/parser.re"


	string: ;
		
#line 10529 "src/parser.c"
		{
			unsigned char yych;
			if (lim <= cur) if (cur >= lim) goto done;;
			yych = *cur;
			switch (yych) {
			case '\n':
			case '\r':	goto yy634;
			case '"':	goto yy636;
			case '\\':	goto yy638;
			default:	goto yy632;
			}
yy632:
			++cur;
#line 493 "src/parser.re"
			{ escaped = false; goto string; }
#line 10545 "src/parser.c"
yy634:
			++cur;
#line 480 "src/parser.re"
			{ NEWLINE(); goto string; }
#line 10550 "src/parser.c"
yy636:
			++cur;
#line 482 "src/parser.re"
			{
			if (escaped) {
				escaped = false;
				goto string;
			}
			cur -= 1;
			NEWTOKEN(PSI_T_QUOTED_STRING);
			cur += 1;
			token->flags = char_width;
			goto start;
		}
#line 10565 "src/parser.c"
yy638:
			++cur;
#line 481 "src/parser.re"
			{ escaped = !escaped; goto string; }
#line 10570 "src/parser.c"
		}
#line 495 "src/parser.re"


	comment: ;
		
#line 10577 "src/parser.c"
		{
			unsigned char yych;
			if ((lim - cur) < 2) if (cur >= lim) goto done;;
			yych = *cur;
			switch (yych) {
			case '\n':
			case '\r':	goto yy644;
			case '*':	goto yy646;
			default:	goto yy642;
			}
yy642:
			++cur;
yy643:
#line 502 "src/parser.re"
			{ goto comment; }
#line 10593 "src/parser.c"
yy644:
			++cur;
#line 500 "src/parser.re"
			{ NEWLINE(); goto comment; }
#line 10598 "src/parser.c"
yy646:
			yych = *++cur;
			switch (yych) {
			case '/':	goto yy647;
			default:	goto yy643;
			}
yy647:
			++cur;
#line 501 "src/parser.re"
			{ NEWTOKEN(PSI_T_COMMENT); goto start; }
#line 10609 "src/parser.c"
		}
#line 504 "src/parser.re"


	comment_sl: ;
		
#line 10616 "src/parser.c"
		{
			unsigned char yych;
			if (lim <= cur) if (cur >= lim) goto done;;
			yych = *cur;
			switch (yych) {
			case '\n':
			case '\r':	goto yy653;
			default:	goto yy651;
			}
yy651:
			++cur;
#line 510 "src/parser.re"
			{ goto comment_sl; }
#line 10630 "src/parser.c"
yy653:
			++cur;
#line 509 "src/parser.re"
			{ NEWTOKEN(PSI_T_COMMENT); NEWLINE(); goto start; }
#line 10635 "src/parser.c"
		}
#line 512 "src/parser.re"


	cpp_attribute: ;

		
#line 10643 "src/parser.c"
		{
			unsigned char yych;
			if (lim <= cur) if (cur >= lim) goto done;;
			yych = *cur;
			switch (yych) {
			case '\n':
			case '\r':	goto yy659;
			case '(':	goto yy661;
			case ')':	goto yy663;
			default:	goto yy657;
			}
yy657:
			++cur;
#line 521 "src/parser.re"
			{ goto cpp_attribute; }
#line 10659 "src/parser.c"
yy659:
			++cur;
#line 520 "src/parser.re"
			{ NEWLINE(); goto cpp_attribute; }
#line 10664 "src/parser.c"
yy661:
			++cur;
#line 518 "src/parser.re"
			{ ++parens; goto cpp_attribute; }
#line 10669 "src/parser.c"
yy663:
			++cur;
#line 519 "src/parser.re"
			{ if (parens == 1) { NEWTOKEN(PSI_T_CPP_ATTRIBUTE); goto start; } else { --parens; goto cpp_attribute; } }
#line 10674 "src/parser.c"
		}
#line 523 "src/parser.re"

error: ;

	P->error(PSI_DATA(P), token, PSI_WARNING, "PSI syntax error: unexpected input (%d) '%.*s' at col %tu",
			token->type, token->size, token->text, tok - eol + 1);
	psi_plist_free(tokens);
	return NULL;

done:

	PSI_DEBUG_PRINT(P, "PSI: EOF cur=%p lim=%p\n", cur, lim);

	return tokens;
}
